%define upstream_name   check_diskio

Name:      nagios-%{upstream_name}
Version:   3.0.3
Release:   %mkrel 10
Summary:   Nagios plugin to monitor the amount of disk I/O
License:   GPL
Group:      Networking/Other
URL:        https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_diskio
Source:     http://www.id.ethz.ch/people/allid_list/corti/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch

%description
Nagios plugin to monitor the amount of disk I/O

%prep
%setup -q -n %{upstream_name}-%{version}

%build
pod2man check_diskio.pod > check_diskio.1

%install
install -m 755 -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 755 check_diskio %{buildroot}%{_datadir}/nagios/plugins/check_diskio
install -m 644 check_diskio.1 %{buildroot}%{_mandir}/man1

perl -pi -e 's|^#!perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_diskio

install -m 755 -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_diskio.cfg <<'EOF'
define command {
	command_name    check_diskio
	command_line    %{_datadir}/nagios/plugins/check_diskio
}
EOF

%files
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%{_datadir}/nagios/plugins/check_diskio
%{_mandir}/man1/check_diskio.1*
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_diskio.cfg





%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.0.3-10.mga9
+ Revision: 1801965
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.0.3-9.mga8
+ Revision: 1492154
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.0.3-8.mga7
+ Revision: 1264634
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 3.0.3-7.mga6
+ Revision: 933579
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.3-6.mga5
+ Revision: 742763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-5.mga5
+ Revision: 682767
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.3-4.mga4
+ Revision: 508112
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-3.mga3
+ Revision: 360690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 3.0.3-2.mga1
+ Revision: 62907
- imported package nagios-check_diskio


* Wed Nov 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.3-2mdv2011.0
+ Revision: 598418
- duh!

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 384533
- import nagios-check_diskio


* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.3-1mdv2010.0
- first mdv package
